### 一般性检查
当您收到一台新的FY201系列PWM波形发生器/4-20mA 2-10V发生器时，建议您按照以下步骤对仪器进行检查。
#### 1． 检查运输包装
如运输包装已损坏，请保留被损坏的包装或防震材料，直到货物经过完全检查且仪器通过电性和机械测试。因运输造成仪器损坏，由发货方和承运方联系赔偿事宜。
#### 2． 检查整机 
若存在机械损坏或缺失，或者仪器未通过电性和机械测试，请联系您的FeelElec经销商。
#### 3． 检查随机附件
请根据附录C内容（代装箱单），检查随机附件，如有损坏或缺失，请联系您的FeelElec经销商。

------------
## 前面板概述
前面板被分成几个易于操作的功能区。本部分简明扼要地介绍前面板控制部件和屏幕界面。 
![图1-1 前面板](http://doctuchuang.eirbio.cn/fy201/FY201-%E5%89%8D%E9%9D%A2%E6%9D%BF%E6%A0%87%E5%8F%B7.jpg)

| 项目  | 名称  |  说明 |
| ------------ | ------------ | ------------ |
|  1 | LCD显示屏  |  1.44 英寸 TFT（128×128）彩色液晶显示屏，显示当前功能的参数设置、输出状态等内容，详细信息请参考“用户界面”一节 |
| 2  | 模式切换键  |  按动此按键可以循环切换至PWM模式、脉冲模式、波形发生器模式、2-10V/4-20mA直流输出模式 |
| 3  | 上下选项切换按键  |  在任意参数调节界面可以切换调节选项 |
| 4  | 调节旋钮  | 使用旋钮设置参数时，可以增大（顺时针）或减小（逆时针）当前光标处的数值。当按下旋钮时可以切换光标位置  |
| 5  | 输出控制键  | 可以控制当前模式是否输出  |

------------
## 背部面板概述
FY6900的背部面板如下图1-2所示。下方排布着6个接线端子，分别是PWM/脉冲波输出端、波形发生器输出端、2-10V 4-20mA直流输出端、GND输出端、电源输入负极、电源输入正极。左上方有一个白色端子，是RS485通讯接口。

![](http://doctuchuang.eirbio.cn/fy201/FY201-%E5%90%8E%E9%9D%A2%E6%9D%BF%E6%A0%87%E5%8F%B7.jpg)

##### 1.PWM/脉冲波输出端 
根据界面显示的模式输出PWM波形信号或者脉冲波波形信号。
##### 2.波形发生器输出端和2-10V输出端
输出正弦波、三角波、锯齿波三种波形中的一种波形信号。
##### 3.4-20mA直流输出端
##### 4.GND输出端
##### 5.电源输入负极
##### 6.电源输入正极
输入电压为直流电压，范围：6-20V
##### 7.Modbus通讯（RS-485）端

------------
## 用户界面
FY201的用户界面包括四种模式为：PWM模式、脉冲模式、波形模式和2-10V/4-20mA模式。


### PWM模式
![](http://doctuchuang.eirbio.cn/fy201/FY201-%E7%95%8C%E9%9D%A2%E6%A0%87%E5%8F%B7.jpg)

| 项目  | 描述  |
| ------------ | ------------ |
| 1  | 当前模式名称  |
| 2  | 当前模式输出状态 如： ON 表示当前输出打开， OFF 表示当前输出打开，可通过前面板  O 按钮来更改输出状态。 |
| 3  | 当前PWM的占空比示意图  |
| 4  | 当前PWM模式参数FREQ为当前频率值，大于1000Hz时自动切换为KHz单位，小于等于1000Hz时自动切换为Hz单位。AMPL为当前电压值，DUTY为当前的占空比值  |

------------
## 脉冲模式
   
![](http://doctuchuang.eirbio.cn/fy201/FY201-%E8%84%89%E5%86%B2%E7%95%8C%E9%9D%A2%E6%A0%87%E5%8F%B71.jpg)

| 项目  | 描述  |
| ------------ | ------------ |
| 1  | 当前模式名称  |
| 2  | 当前模式输出状态 如： ON 表示当前输出打开， OFF 表示当前输出打开，可通过前面板  O 按钮来更改输出状态。  |
| 3  | 当前波形示意图  |
| 4  | 当前脉冲模式参数 T0/T1/T2分别对应示意图中的脉冲宽度，当脉冲时间大于1000ms(毫秒)时，自动切换为 s （秒）单位，小于1000ms时显示的单位为ms。NO.为输出的脉冲数量 AMPL为当前的电压值 LOOP为循环输出开关，当显示 ON 时为循环输出，当显示 OFF 时为关闭循环输出。 |

------------
## 波形发生器模式
 
![](http://doctuchuang.eirbio.cn/fy201/FY201-%E6%B3%A2%E5%BD%A2%E5%8F%91%E7%94%9F%E5%99%A8%E7%95%8C%E9%9D%A2%E6%A0%87%E5%8F%B7.jpg)

| 项目  | 描述  |
| ------------ | ------------ |
| 1  | 当前模式名称  |
| 2  | 当前模式输出状态如：ON 表示当前输出打开， OFF 表示当前输出打开，可通过前面板  O 按钮来更改输出状态。|
| 3  | 当前波形示意图  |
| 4  | 当前波形模式参数  WAVE为当前波形，SIN为正弦波，TRIG为三角波，SAWT为锯齿波。FREQ为当前频率值，大于1000Hz时自动切换为KHz单位，小于等于1000Hz时自动切换为Hz单位。|



## 2-10V/4-20mA模式
![](http://doctuchuang.eirbio.cn/fy201/FY201-2-10V4-20mA.jpg)

| 项目  | 描述  |
| ------------ | ------------ |
| 1 |  当前模式名称  |
| 2 |  当前模式输出状态 如： ON 表示当前输出打开， OFF 表示当前输出打开，可通过前面板  O 按钮来更改输出状态。 |
| 3 | 当前模式示意图 |
| 4 | 当前模式参数 U为当前电压值。I为当前电流值。 |



------------
## 外观尺寸

![](http://doctuchuang.eirbio.cn/fy201/FY201-%E5%B0%BA%E5%AF%B8%E5%9B%BE.jpg)

## <a href="http://doc.feelelec.cn/docs/fy201/fy201-4">下一页 前面板操作</a>