## 附录A：安全注意事项
1、使用本仪器前，请检查电源是否正常，以确保仪器的正常使用和人身安全。
2、一定要在本仪器各项技术指标范围内使用。
3、请不要随意改变仪器线路，以免损坏仪器和危及安全。

## 附录B：警告及人身伤害
请勿将产品应用于安全保护装置或急停设备上，以及由于该产品故障可能导致人身伤害的任何其他应用中，除非有特别的目的或有使用授权。在安装、使用前应参考使用说明中各项技术指标。如不遵从此建议，可能导致死亡和严重的人身伤害。本公司将不承担由此产生的人身伤害或死亡的所有赔偿，并且免除由此对公司管理者和雇员以及附属代理商、分销商等可能产生的任何索赔要求，包括：各种成本费用、赔偿费用、律师费用等等。

## 附录D：保修概要
郑州飞逸科技有限公司承诺本公司生产的仪器主机和附件，在产品保修期内无任何材料和工艺缺陷。在保修期内，若产品被证明有缺陷，FeelElec将为用户免费维修或更换。仪器自发货之日起保修期为1年。由于使用者操作或维护不当，未经许可对仪器进行修改或不可抗拒的自然灾害造成的损坏不在保修范围之内。
	
## 附录E：Modbus通讯协议
### 串口通讯协议参数:
波特率： 1200,2400,4800,9600（默认）,57600,115200
数据位：8，
校验位：无，
停止位：1
### 寄存器地址
寄存器有限范围为：0-19，每个寄存器数据大小为2个字节（16位）
寄存器地址0x00也是站地址寄存器，当修改站地址时，设备站号要设为0x00


|地址|内容|解释
| ------------ | ------------ | ------------ |
|0x00|当前显示模式|0x00：PWM模式 0x01:脉冲模式 0x02:波形模式 0x03:2-10V/4-20mA模式|
|0x01|PWM频率高16位|PWM频率 = (PWM频率高16位 <<16)&#124;( PWM频率低16位) Hz|
|0x02|PWM频率低16位|PWM频率 = (PWM频率高16位 <<16)&#124;( PWM频率低16位) Hz|
|0x03|PWM电压16位|PWM真实电压 = PWM电压16位 / 100|
|0x04|PWM占空比16位|PWM真实占空比 = PWM占空比16位 / 100|
|0x05|PWM是否输出|0x00:输出关闭   0x01:输出打开|
|0x06|脉冲T0  16位|脉冲时间单位为：毫秒(ms)|
|0x07|脉冲T1  16位	|脉冲时间单位为：毫秒(ms)|
|0x08|脉冲T2  16位	|脉冲时间单位为：毫秒(ms)|
|0x09|脉冲数量  16位|脉冲时间单位为：毫秒(ms)|
|0x0A|脉冲电压  16位|真实电压 = 脉冲电压16位 / 100|
|0x0B|脉冲是否循环输出|0x00:循环输出关闭  0x01:循环输出打开|
|0X0C|脉冲是否输出|0x00:输出关闭   0x01:输出打开|
|0x0D|波形 输出波形|0x00:正弦波  0x01:三角波  0x02:锯齿波|
|0x0E|波形频率16位|脉冲时间单位为：Hz|
|0x0F|波形 是否输出|0x00:输出关闭  0x01:输出打开|
|0x10|V-A 电压 16位|真实电压 =电压16位 / 100|
|0x11|V-A 电流 16位|真实电流 =电流16位 / 100|
|0x12|V-A 是否输出|0x00:输出关闭  0x01:输出打开|
|0x13|波特率|0x00:1200 0x01:2400 0x02:4800 0x03:9600 0x04:57600 0x05:115200|




#### 读取多个寄存器：0x03
协议：

|计算机发送|设备站号|命令（0x03）|开始地址|读取寄存器数量|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x01|0x03|0x00 0x00|0x00 0x01|0x84 0x0A|

|设备返回|设备站号|命令（0x03）|数据数量|有效数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2N|2|
|十六进制|0x01|0x03|0x00 0x02|0x00 0x02|0x65 0xCB|

#### 设置单个寄存器：0x06
协议：

|计算机发送|设备站号|命令（0x06）|寄存器的地址|写入的数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x01|0x06|0x00 0x00|0x00 0x01|0x48 0x0A|

|设备返回|设备站号|命令（0x06）|返回写入地址|返回写入的数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x01|0x06|0x00 0x00|0x00 0x01|0x48 0x0A|

#### 设置站地址：0x06
设置站地址时总线上只能挂一台设备，设备站地址要改为0x00
协议：

|计算机发送|设备站号|命令（0x06）|寄存器的地址|写入的数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x00|0x06|0x00 0x00|0x00 0x01|0x49 0x0B|

|设备返回|设备站号|命令（0x06）|返回写入地址|返回写入的数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x00|0x06|0x00 0x00|0x00 0x01|0x49 0x0B|







设置多个寄存器：0x10
协议：

|计算机发送|设备站号|命令|开始地址|寄存器数量|写入字节数|数据|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|1|2N|2|
|十六进制|0x01|0x10|0x00 0x00|0x00 0x01|0x02|0x00 0x00|0Xa6 0x50|

|设备返回|设备站号|命令（0x10）|返回写入地址|返回寄存器数量|CRC校验|
| ------------ | ------------ | ------------ | ------------ | ------------ | ------------ |
|字节数|1|1|2|2|2|
|十六进制|0x01|0x10|0x00 0x00|0x00 0x01|0x48 0x0A|


CRC校验函数

```c
const unsigned int CRC16Table[256] = {                                 
   0x0000, 0xC0C1, 0xC181, 0x0140, 0xC301, 0x03C0, 0x0280, 0xC241,   
   0xC601, 0x06C0, 0x0780, 0xC741, 0x0500, 0xC5C1, 0xC481, 0x0440,   
   0xCC01, 0x0CC0, 0x0D80, 0xCD41, 0x0F00, 0xCFC1, 0xCE81, 0x0E40,   
   0x0A00, 0xCAC1, 0xCB81, 0x0B40, 0xC901, 0x09C0, 0x0880, 0xC841,   
   0xD801, 0x18C0, 0x1980, 0xD941, 0x1B00, 0xDBC1, 0xDA81, 0x1A40,   
   0x1E00, 0xDEC1, 0xDF81, 0x1F40, 0xDD01, 0x1DC0, 0x1C80, 0xDC41,   
   0x1400, 0xD4C1, 0xD581, 0x1540, 0xD701, 0x17C0, 0x1680, 0xD641,   
   0xD201, 0x12C0, 0x1380, 0xD341, 0x1100, 0xD1C1, 0xD081, 0x1040,   
   0xF001, 0x30C0, 0x3180, 0xF141, 0x3300, 0xF3C1, 0xF281, 0x3240,   
   0x3600, 0xF6C1, 0xF781, 0x3740, 0xF501, 0x35C0, 0x3480, 0xF441,   
   0x3C00, 0xFCC1, 0xFD81, 0x3D40, 0xFF01, 0x3FC0, 0x3E80, 0xFE41,   
   0xFA01, 0x3AC0, 0x3B80, 0xFB41, 0x3900, 0xF9C1, 0xF881, 0x3840,   
   0x2800, 0xE8C1, 0xE981, 0x2940, 0xEB01, 0x2BC0, 0x2A80, 0xEA41,   
   0xEE01, 0x2EC0, 0x2F80, 0xEF41, 0x2D00, 0xEDC1, 0xEC81, 0x2C40,   
   0xE401, 0x24C0, 0x2580, 0xE541, 0x2700, 0xE7C1, 0xE681, 0x2640,   
   0x2200, 0xE2C1, 0xE381, 0x2340, 0xE101, 0x21C0, 0x2080, 0xE041,   
   0xA001, 0x60C0, 0x6180, 0xA141, 0x6300, 0xA3C1, 0xA281, 0x6240,
   0x6600, 0xA6C1, 0xA781, 0x6740, 0xA501, 0x65C0, 0x6480, 0xA441,   
   0x6C00, 0xACC1, 0xAD81, 0x6D40, 0xAF01, 0x6FC0, 0x6E80, 0xAE41,   
   0xAA01, 0x6AC0, 0x6B80, 0xAB41, 0x6900, 0xA9C1, 0xA881, 0x6840,   
   0x7800, 0xB8C1, 0xB981, 0x7940, 0xBB01, 0x7BC0, 0x7A80, 0xBA41,   
   0xBE01, 0x7EC0, 0x7F80, 0xBF41, 0x7D00, 0xBDC1, 0xBC81, 0x7C40,   
   0xB401, 0x74C0, 0x7580, 0xB541, 0x7700, 0xB7C1, 0xB681, 0x7640,   
   0x7200, 0xB2C1, 0xB381, 0x7340, 0xB101, 0x71C0, 0x7080, 0xB041,   
   0x5000, 0x90C1, 0x9181, 0x5140, 0x9301, 0x53C0, 0x5280, 0x9241,   
   0x9601, 0x56C0, 0x5780, 0x9741, 0x5500, 0x95C1, 0x9481, 0x5440,   
   0x9C01, 0x5CC0, 0x5D80, 0x9D41, 0x5F00, 0x9FC1, 0x9E81, 0x5E40,   
   0x5A00, 0x9AC1, 0x9B81, 0x5B40, 0x9901, 0x59C0, 0x5880, 0x9841,   
   0x8801, 0x48C0, 0x4980, 0x8941, 0x4B00, 0x8BC1, 0x8A81, 0x4A40,   
   0x4E00, 0x8EC1, 0x8F81, 0x4F40, 0x8D01, 0x4DC0, 0x4C80, 0x8C41,   
   0x4400, 0x84C1, 0x8581, 0x4540, 0x8701, 0x47C0, 0x4680, 0x8641,   
   0x8201, 0x42C0, 0x4380, 0x8341, 0x4100, 0x81C1, 0x8081, 0x4040 
};
/*********************************************
//
// 函数说明： modebus CRC校验函数
//	入口参数：
//				*pt：需要校验的数据指针地址
//				len：需要校验的数据长度
//  返回值： 十六位CRC值
//
//*********************************************/
unsigned int crc_calc(unsigned char *pt, unsigned char len)
{
	unsigned char i;
  unsigned int crc=0xFFFF;                     
  unsigned char* ptr=pt;
  for(i=0; i<len; i++) 
		{crc=((crc >> 8) & 0xFF)^CRC16Table[(crc^*ptr++)&0xFF];}//SendData(*ptr);
  return crc;
}
```